from classes.Transaction import Tx
from helpers import SignatureHelper as signatureHelper

def transaction(self):
    receiver = input("Enter the username of the receiver:")
    if receiver == "":
        return False

    receiver_data = self.db.fetchUserByUsername(receiver)
    if not receiver_data:
        print("Username not found")
        return False

    receiver_public_key = signatureHelper.publicBytesToKey(receiver_data[1])

    amount = input("Enter the amount excluding fees:")
    if amount == "":
        return False

    try:
        amount = int(amount)
    except:
        print("Wrong input, try again")
        return False

    fee = input("Enter fee:")
    if fee == "":
        return False

    try:
        fee = int(fee)
    except:
        print("Wrong input, try again")
        return False

    new_tx = Tx()
    new_tx.createTransaction(self.user.public_key, self.user.private_key, amount, fee, receiver_public_key)
    return new_tx